Company Industry API
curl --request GET \
--url https://api.akta.pro/api/v1/company/enrichment/industry/{company} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.akta.pro/api/v1/company/enrichment/industry/{company}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.akta.pro/api/v1/company/enrichment/industry/{company}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akta.pro/api/v1/company/enrichment/industry/{company}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.akta.pro/api/v1/company/enrichment/industry/{company}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.akta.pro/api/v1/company/enrichment/industry/{company}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akta.pro/api/v1/company/enrichment/industry/{company}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"uuid": "00000l1",
"industry": {
"keyword": [
"visual design platform",
"graphic design software",
"ai creative tools",
"presentation software",
"marketing design suite"
],
"industry": [
{
"code": "HDABAAAD",
"is_primary": true,
"label": "Managed Application Platforms (App PaaS & Runtime Services)"
},
{
"code": "HDAEAHAF",
"is_primary": false,
"label": "Digital Process Automation (DPA) & Orchestration Suites"
},
{
"code": "MPACAHAL",
"is_primary": false,
"label": "Enterprise/Workplace Short-Form Video Platforms (Internal Comms & Training)"
},
{
"code": "MPAHANAE",
"is_primary": false,
"label": "Remote Workstations & Virtual Desktops for Media (GPU VDI, secure access)"
}
],
"naics": [
{
"code": "5132",
"label": "Software Publishers"
},
{
"code": "513210",
"label": "Software Publishers"
},
{
"code": "54143",
"label": "Graphic Design Services"
},
{
"code": "54151",
"label": "Computer Systems Design and Related Services"
}
],
"sic": [
{
"code": "7370",
"label": "SERVICES-COMPUTER PROGRAMMING, DATA PROCESSING, ETC."
},
{
"code": "7371",
"label": "SERVICES-COMPUTER PROGRAMMING SERVICES"
}
],
"product_category": "Visual Design Software"
}
},
"credits_consumed": 0.5
}
Core APIs
Company Industry API
Industry classification, codes, keywords.
GET
/
v1
/
company
/
enrichment
/
industry
/
{company}
Company Industry API
curl --request GET \
--url https://api.akta.pro/api/v1/company/enrichment/industry/{company} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.akta.pro/api/v1/company/enrichment/industry/{company}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.akta.pro/api/v1/company/enrichment/industry/{company}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akta.pro/api/v1/company/enrichment/industry/{company}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.akta.pro/api/v1/company/enrichment/industry/{company}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.akta.pro/api/v1/company/enrichment/industry/{company}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akta.pro/api/v1/company/enrichment/industry/{company}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"uuid": "00000l1",
"industry": {
"keyword": [
"visual design platform",
"graphic design software",
"ai creative tools",
"presentation software",
"marketing design suite"
],
"industry": [
{
"code": "HDABAAAD",
"is_primary": true,
"label": "Managed Application Platforms (App PaaS & Runtime Services)"
},
{
"code": "HDAEAHAF",
"is_primary": false,
"label": "Digital Process Automation (DPA) & Orchestration Suites"
},
{
"code": "MPACAHAL",
"is_primary": false,
"label": "Enterprise/Workplace Short-Form Video Platforms (Internal Comms & Training)"
},
{
"code": "MPAHANAE",
"is_primary": false,
"label": "Remote Workstations & Virtual Desktops for Media (GPU VDI, secure access)"
}
],
"naics": [
{
"code": "5132",
"label": "Software Publishers"
},
{
"code": "513210",
"label": "Software Publishers"
},
{
"code": "54143",
"label": "Graphic Design Services"
},
{
"code": "54151",
"label": "Computer Systems Design and Related Services"
}
],
"sic": [
{
"code": "7370",
"label": "SERVICES-COMPUTER PROGRAMMING, DATA PROCESSING, ETC."
},
{
"code": "7371",
"label": "SERVICES-COMPUTER PROGRAMMING SERVICES"
}
],
"product_category": "Visual Design Software"
}
},
"credits_consumed": 0.5
}
Overview
The Company Industry API returns theindustry section of a company as a standalone endpoint.
Endpoint Details
- Method: GET
- Endpoint:
/api/v1/company/enrichment/industry/{company}/
Authentication requirements
- Include a valid API key in the
x-api-keyrequest header.
Request
Request Parameters
Path Parameters
string
required
Company website (e.g.
canva.com) or a company UUID (e.g. 00000l1). The UUID can be obtained from the Company Search API.Example Request
GET /api/v1/company/enrichment/industry/canva.com
x-api-key: <api-key>
Response
Successful Response Fields
Returns a JSON object with the following structure:float
Number of credits consumed (0.5 per call).
object
Industry payload for the requested company.
Show properties
Show properties
string
Akta UUID of the requested company.
{
"data": {
"uuid": "00000l1",
"industry": {
"keyword": [
"visual design platform",
"graphic design software",
"ai creative tools",
"presentation software",
"marketing design suite"
],
"industry": [
{
"code": "HDABAAAD",
"is_primary": true,
"label": "Managed Application Platforms (App PaaS & Runtime Services)"
},
{
"code": "HDAEAHAF",
"is_primary": false,
"label": "Digital Process Automation (DPA) & Orchestration Suites"
},
{
"code": "MPACAHAL",
"is_primary": false,
"label": "Enterprise/Workplace Short-Form Video Platforms (Internal Comms & Training)"
},
{
"code": "MPAHANAE",
"is_primary": false,
"label": "Remote Workstations & Virtual Desktops for Media (GPU VDI, secure access)"
}
],
"naics": [
{
"code": "5132",
"label": "Software Publishers"
},
{
"code": "513210",
"label": "Software Publishers"
},
{
"code": "54143",
"label": "Graphic Design Services"
},
{
"code": "54151",
"label": "Computer Systems Design and Related Services"
}
],
"sic": [
{
"code": "7370",
"label": "SERVICES-COMPUTER PROGRAMMING, DATA PROCESSING, ETC."
},
{
"code": "7371",
"label": "SERVICES-COMPUTER PROGRAMMING SERVICES"
}
],
"product_category": "Visual Design Software"
}
},
"credits_consumed": 0.5
}
Was this page helpful?
.png?fit=max&auto=format&n=SdGZnb5iGLBOelR9&q=85&s=6e183af2c7498a76797d0c8d9a81b986)
.png?fit=max&auto=format&n=SdGZnb5iGLBOelR9&q=85&s=7702c636c517001e39df24a084a9728d)